<?php
$a = 1;
$b=$_GET["vrc"];
$b=$_POST["vrc"];
//$b=$vrc;
$Udaje = $_POST["Udaje"];
session_start();
if ($b !=null) {
$_SESSION['vrc']=$b;
$hledejpr=null;
$hledejrc=1;
$hledejrc_hash=$_SESSION['vrc']; 
}
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
} 
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>
<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <br />
        <ul class="info">
          <li>Smazání záznamu</li>
          <li class="tag">Výsledek Vaší volby:</li>
               </ul>
              <?
/*if ($hledejpr != null && $Potvrzeni=="ANO")  {
 $a = 0;
       do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT * FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
	if (!$vysledek):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
  MySQL_Query("DELETE FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
  MySQL_Query("DELETE FROM pacient_vysetreni, pacient WHERE pacient_vysetreni.id_pacient=pacient.id_pacient AND pacient.Prijmeni='$hledejpr'");
  MySQL_Query("DELETE FROM vysetreni, pacient WHERE vysetreni.id_pacient=pacient.id_pacient AND pacient.Prijmeni='$hledejpr'");
	echo "Počet záznamů, které byly úspěšně smazány: ".MySQL_Num_Rows($vysledek).".<BR>\n";
	echo	"<br />";
	    		MySQL_Close($spojeni);    
} while (false);

         }*/

if ($hledejrc != null && $Potvrzeni=="ANO")     {
 $a = 0;
           do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT * FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
		if (!$vysledek):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
		@$idpacos = MySQL_Query("SELECT id_pacient FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
		if (!$idpacos):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
	$zaznam = MySQL_Fetch_Array($idpacos);
$id	= $zaznam[id_pacient];
			@$idvys = MySQL_Query("SELECT id_vysetreni FROM pacient_vysetreni WHERE pacient_vysetreni.id_pacient='$id'");
		if (!$idvys):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
	MySQL_Query("DELETE FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
  MySQL_Query("DELETE FROM pacient_vysetreni WHERE pacient_vysetreni.id_pacient='$id'");
while ($pelo = MySQL_Fetch_Array($idvys)){
$idv	= $pelo[id_vysetreni];
MySQL_Query("DELETE FROM vysetreni WHERE vysetreni.id_vysetreni='$idv'");
  }
	// pokus
$dir = "menu/upload/$hledejrc_hash/";

// set up basic connection
$conn_id = ftp_connect("ftp.johny.cz");
$ftp_user_name="marvik.johny.cz";
$ftp_user_pass="marvik30";
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);

// try to create the directory $dir
if (@ftp_rmdir($conn_id, $dir)) {
 echo "Složka s daty pacienta byla úspěšně smazána. \n";
 	echo	"<br />";
} else {
 echo "Složka s daty pacienta nebyla smazána.";
 	echo	"<br />";
}
// close the connection
ftp_close($conn_id);
	echo "Počet záznamů, které byly úspěšně smazány: ".MySQL_Num_Rows($vysledek).".<BR>\n";
	echo	"<br />";
	    		MySQL_Close($spojeni);    
} while (false);

 }
 if ($Potvrzeni=="NE")
 {
 echo "Nebyla provedena žádná změna";
 }
 if ($a == 1 && $Potvrzeni=="ANO")
 {
 echo "Nebyl vybrán žádný záznam pro mazání";
 }
?>

      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="hledat.php">Nové hledání..</a></li>
           <li><a href="mysql.php">Zpět do hlavního menu</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
